ARCHBUILD(1)

NOME
archbuild - um script para construir um pacote Arch Linux dentro de um chroot limpo.

SINOPSE

archbuild [opções] — [args do makechrootpkg]

DESCRIÇÃO

archbuild é um script para compilar um pacote Arch Linux. archbuild faz parte do devtools, mas só deve ser usado por meio de um dos links simbólicos incluídos:

    • extra-x86_64-build

    • gnome-unstable-x86_64-build

    • kde-unstable-x86_64-build

    • multilib-build

    • multilib-staging-build

    • multilib-testing-build

    • staging-x86_64-build

    • testing-x86_64-build

O link simbólico usado para executá-lo será inspecionado pelo archbuild, para determinar qual alvo você quer que ele use. Ele carregará a configuração pacman disponível de reponame-arch.conf com um fallback para reponame.conf de /usr/share/devtools/pacman.conf.d. A configuração makepkg é carregada de repo-arch.conf com um fallback para reponame.conf de /usr/share/devtools/makepkg.conf.d.

Ele também carregará a configuração de montagem bind de mount.d/arch em /usr/share/devtools. O formato do arquivo é que cada linha começando com ro e rw será usada, outras linhas serão ignoradas e o restante da linha usada é out/path:in/path precedido por um espaço como separador. ro significa que é uma montagem somente leitura, rw significa uma montagem leitura-escrita.

OPÇÕES

-h
    Emite as opções da linha de comando.

-c
    Recria o chroot antes de compilar.

-r <dir>
    Cria chroots neste diretório.

VEJA TAMBÉM

devtools(7)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).